/*rss-aggregator*/
/*Copyright (C) 2019  NamingThingsIsHard / firefox*/

/*This program is free software: you can redistribute it and/or modify*/
/*it under the terms of the GNU General Public License as published by*/
/*the Free Software Foundation, either version 3 of the License, or*/
/*(at your option) any later version.*/

/*This program is distributed in the hope that it will be useful,*/
/*but WITHOUT ANY WARRANTY; without even the implied warranty of*/
/*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the*/
/*GNU General Public License for more details.*/

/*You should have received a copy of the GNU General Public License*/
/*along with this program.  If not, see <http://www.gnu.org/licenses/>.*/

:root {
    --icon-width: 200px;
}

.aggregator-controller {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100vh;
    overflow: hidden;
}

.aggregator-controller > form {
    order: -1;
}

.aggregator-controller .main {
    flex-grow: 2;
    overflow-y: scroll;
}

.item-detail {
    position: relative;
}

.item-detail .panel-icon {
    position: absolute;
    top: 0;
    bottom: 0;

    width: var(--icon-width);

    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 4px;
    padding-right: 4px;
}

.item-detail .panel-icon + .panel-body {
    margin-left: var(--icon-width);
}

.item-detail .panel-icon + .panel-body + .panel-footer {
    margin-left: var(--icon-width);
}

.item-detail .panel-body .badge:hover {
    cursor: pointer;
}

.item-detail .panel-body .badge.read {
    background-color: #178117;
}

.item-detail .panel-body .badge.starred {
    background-color: gold;
}

[data-hide="true"] {
    display: none;
}
